org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Interface SourcePositionMap

    public interface SourcePositionMap

A map between "user" and "vm" source positions. "Vm" position applies to sources that are actually used inside virtual machine. "User" position applies to sources that user works with. All line/column numbers are 0-based.

### Nested Class Summary

Nested Classes
`static interface` `SourcePositionMap.Token` A token that can be kept and used later to check, whether source map has been updated.
`static class` `SourcePositionMap.TranslateDirection`

### Method Summary

All Methods Instance Methods Abstract Methods
`SourcePositionMap.Token` `getCurrentToken()`
`SourcePosition` `translatePosition(VmResourceId id, int line, int column, SourcePositionMap.TranslateDirection direction)`

### Method Detail

#### translatePosition

    SourcePosition translatePosition(VmResourceId id,
                                     int line,
                                     int column,
                                     SourcePositionMap.TranslateDirection direction)

#### getCurrentToken

    SourcePositionMap.Token getCurrentToken()

Returns:
  current instance of token